com.trendmicro.ds.platform.rest.object.managernodes

## Class ManagerNode.SystemInformation

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.managernodes.ManagerNode.SystemInformation

- Enclosing class:
    ManagerNode

      public static class ManagerNode.SystemInformation
      extends java.lang.Object

  Manager node system information.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ManagerNode.SystemInformation.Disk` Manager node disk information.
    `static class` | `ManagerNode.SystemInformation.Memory` Manager node memory information.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getDatabaseTimeSkew()` Get the time skew between this manager node and the database, in milliseconds.
    `java.util.List<ManagerNode.SystemInformation.Disk>` | `getDisks()` Get information about the disks used by the manager node.
    `java.lang.String` | `getInstallDirectory()` Get the directory in which the Deep Security Manager software has been installed on this manager node.
    `java.lang.String` | `getJavaVersion()` Get the version of the Java runtime environment that is in use on this manager node.
    `ManagerNode.SystemInformation.Memory` | `getMemory()` Get information about the memory used by the manager node.
    `java.lang.String` | `getPlatform()` Get the operating system name and version for this manager node.
    `java.lang.Integer` | `getProcessors()` Get the number of processors reported by the system for this manager node.
    `java.lang.String` | `getSystemArchitecture()` Get the system architecture of this manager node.
    `void` | `setDatabaseTimeSkew(java.lang.Long databaseTimeSkew)` Set the time skew between this manager node and the database, in milliseconds.
    `void` | `setDisks(java.util.List<ManagerNode.SystemInformation.Disk> disks)` Set information about the disks used by the manager node.
    `void` | `setInstallDirectory(java.lang.String installDirectory)` Set the directory in which the Deep Security Manager software has been installed on this manager node.
    `void` | `setJavaVersion(java.lang.String javaVersion)` Set the version of the Java runtime environment that is in use on this manager node.
    `void` | `setMemory(ManagerNode.SystemInformation.Memory memory)` Set information about the memory used by the manager node.
    `void` | `setPlatform(java.lang.String platform)` Set the operating system name and version for this manager node.
    `void` | `setProcessors(java.lang.Integer processors)` Set the number of processors reported by the system for this manager node.
    `void` | `setSystemArchitecture(java.lang.String systemArchitecture)` Set the system architecture of this manager node.
    `ManagerNode.SystemInformation` | `withDatabaseTimeSkew(java.lang.Long databaseTimeSkew)` Set the time skew between this manager node and the database, in milliseconds.
    `ManagerNode.SystemInformation` | `withDisks(java.util.List<ManagerNode.SystemInformation.Disk> disks)` Set information about the disks used by the manager node.
    `ManagerNode.SystemInformation` | `withDisks(ManagerNode.SystemInformation.Disk... disks)` Set information about the disks used by the manager node.
    `ManagerNode.SystemInformation` | `withInstallDirectory(java.lang.String installDirectory)` Set the directory in which the Deep Security Manager software has been installed on this manager node.
    `ManagerNode.SystemInformation` | `withJavaVersion(java.lang.String javaVersion)` Set the version of the Java runtime environment that is in use on this manager node.
    `ManagerNode.SystemInformation` | `withMemory(ManagerNode.SystemInformation.Memory memory)` Set information about the memory used by the manager node.
    `ManagerNode.SystemInformation` | `withPlatform(java.lang.String platform)` Set the operating system name and version for this manager node.
    `ManagerNode.SystemInformation` | `withProcessors(java.lang.Integer processors)` Set the number of processors reported by the system for this manager node.
    `ManagerNode.SystemInformation` | `withSystemArchitecture(java.lang.String systemArchitecture)` Set the system architecture of this manager node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemInformation

          public SystemInformation()

  - ### Method Detail

    - #### getJavaVersion

          public java.lang.String getJavaVersion()

      Get the version of the Java runtime environment that is in use on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the version of the Java runtime environment that is in use on this manager node.

    - #### setJavaVersion

          public void setJavaVersion(java.lang.String javaVersion)

      Set the version of the Java runtime environment that is in use on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `javaVersion` - the version of the Java runtime environment that is in use on this manager node.

    - #### withJavaVersion

          public ManagerNode.SystemInformation withJavaVersion(java.lang.String javaVersion)

      Set the version of the Java runtime environment that is in use on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `javaVersion` - the version of the Java runtime environment that is in use on this manager node.
      Returns:
        the updated SystemInformation object.

    - #### getInstallDirectory

          public java.lang.String getInstallDirectory()

      Get the directory in which the Deep Security Manager software has been installed on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the directory in which the Deep Security Manager software has been installed on this manager node.

    - #### setInstallDirectory

          public void setInstallDirectory(java.lang.String installDirectory)

      Set the directory in which the Deep Security Manager software has been installed on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `installDirectory` - the directory in which the Deep Security Manager software has been installed on this manager node.

    - #### withInstallDirectory

          public ManagerNode.SystemInformation withInstallDirectory(java.lang.String installDirectory)

      Set the directory in which the Deep Security Manager software has been installed on this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `installDirectory` - the directory in which the Deep Security Manager software has been installed on this manager node.
      Returns:
        the updated SystemInformation object.

    - #### getSystemArchitecture

          public java.lang.String getSystemArchitecture()

      Get the system architecture of this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the system architecture of this manager node.

    - #### setSystemArchitecture

          public void setSystemArchitecture(java.lang.String systemArchitecture)

      Set the system architecture of this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `systemArchitecture` - the system architecture of this manager node.

    - #### withSystemArchitecture

          public ManagerNode.SystemInformation withSystemArchitecture(java.lang.String systemArchitecture)

      Set the system architecture of this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `systemArchitecture` - the system architecture of this manager node.
      Returns:
        the updated SystemInformation object.

    - #### getPlatform

          public java.lang.String getPlatform()

      Get the operating system name and version for this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the operating system name and version for this manager node

    - #### setPlatform

          public void setPlatform(java.lang.String platform)

      Set the operating system name and version for this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `platform` - the operating system name and version for this manager node

    - #### withPlatform

          public ManagerNode.SystemInformation withPlatform(java.lang.String platform)

      Set the operating system name and version for this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `platform` - the operating system name and version for this manager node
      Returns:
        the updated SystemInformation object.

    - #### getProcessors

          public java.lang.Integer getProcessors()

      Get the number of processors reported by the system for this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the number of processors reported by the system for this manager node.

    - #### setProcessors

          public void setProcessors(java.lang.Integer processors)

      Set the number of processors reported by the system for this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `processors` - the number of processors reported by the system for this manager node.

    - #### withProcessors

          public ManagerNode.SystemInformation withProcessors(java.lang.Integer processors)

      Set the number of processors reported by the system for this manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `processors` - the number of processors reported by the system for this manager node.
      Returns:
        the updated SystemInformation object.

    - #### getDatabaseTimeSkew

          public java.lang.Long getDatabaseTimeSkew()

      Get the time skew between this manager node and the database, in milliseconds.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time skew between this manager node and the database, in milliseconds.

    - #### setDatabaseTimeSkew

          public void setDatabaseTimeSkew(java.lang.Long databaseTimeSkew)

      Set the time skew between this manager node and the database, in milliseconds.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `databaseTimeSkew` - the time skew between this manager node and the database, in milliseconds.

    - #### withDatabaseTimeSkew

          public ManagerNode.SystemInformation withDatabaseTimeSkew(java.lang.Long databaseTimeSkew)

      Set the time skew between this manager node and the database, in milliseconds.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `databaseTimeSkew` - the time skew between this manager node and the database, in milliseconds.
      Returns:
        the updated SystemInformation object.

    - #### getMemory

          public ManagerNode.SystemInformation.Memory getMemory()

      Get information about the memory used by the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        information about the memory used by the manager node.

    - #### setMemory

          public void setMemory(ManagerNode.SystemInformation.Memory memory)

      Set information about the memory used by the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `memory` - information about the memory used by the manager node.

    - #### withMemory

          public ManagerNode.SystemInformation withMemory(ManagerNode.SystemInformation.Memory memory)

      Set information about the memory used by the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `memory` - information about the memory used by the manager node.
      Returns:
        the updated SystemInformation object.

    - #### getDisks

          public java.util.List<ManagerNode.SystemInformation.Disk> getDisks()

      Get information about the disks used by the manager node.

      At this time, the information reported is only for the device where the manager node software is installed.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        information about the disks used by the manager node.

    - #### setDisks

          public void setDisks(java.util.List<ManagerNode.SystemInformation.Disk> disks)

      Set information about the disks used by the manager node.

      At this time, the information reported is only for the device where the manager node software is installed.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `disks` - information about the disks used by the manager node.

    - #### withDisks

          public ManagerNode.SystemInformation withDisks(java.util.List<ManagerNode.SystemInformation.Disk> disks)

      Set information about the disks used by the manager node.

      At this time, the information reported is only for the device where the manager node software is installed.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `disks` - information about the disks used by the manager node.
      Returns:
        the updated SystemInformation object.

    - #### withDisks

          public ManagerNode.SystemInformation withDisks(ManagerNode.SystemInformation.Disk... disks)

      Set information about the disks used by the manager node.

      At this time, the information reported is only for the device where the manager node software is installed.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `disks` - information about the disks used by the manager node.
      Returns:
        the updated SystemInformation object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.